Your Moodle version

Blocks: Global Chat

block_gchat
Maintained by Picture of Bruno Sampaio Bruno Sampaio
Global chat for Moodle. With this plugin teachers and students can communicate in real time through Moodle.
225
168
15

This plugin introduces a chat for Moodle very similar to Google Chat or Facebook Chat. It uses a block to list all online users that are part of all courses a user is subscribed to, and opens a chat window on the bottom of the page when a online user is clicked.

The advantages of this chat are:
- Users don't need to open a separate window to use this chat, while Moodle activity chat needs them to do so;
- A user can establish a real time conversation with other online users subscribed to the courses this user belongs to;
- Users can change between pages and their open conversations will always be there;

If you are a student use it to collaborate with your colleagues, or to ask questions to your teachers.
If you are a teacher use it to communicate with your students individually.

We believe Moodle needs a different chat concept, that's why we decided to create this plugin. It still needs some improvement, but first we would like to know what people think about this idea smile

Sets

This plugin is part of set Cubic.

Screenshots

Screenshot #0
Screenshot #1

Contributors

Picture of Bruno Sampaio
Bruno Sampaio (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Edwin Ayernor
    Mon, Mar 31, 2014, 1:40 AM
    I get an error message "the connection with the server was lost' how do I resolve this..
  • Picture of Thiago Henrique Ornelas Costa
    Thu, May 8, 2014, 4:28 AM
    Olá Bruno tudo bem? Gostaria de Saber, haverá uma atualização desse Bloco Chat Global para as versões atuais do moodle? é uma ferramenta de comunicação Síncrona muito importante na interatividade no ambiente e gostaria de implementar no nosso ambiente, mas como temos a versão 2.5 não é possível utilizar esta versão já que está em 2.4 correto? Haverá novas atualizações de acordo com a versão do Moodle? Agradeço! sucesso e ótimo trabalho!
  • Picture of Bruno Sampaio
    Fri, May 9, 2014, 4:37 PM
    Olá Thiago! Infelizmente penso que não conseguirei trabalhar em novas versões para este plugin nos próximos tempos. No entanto, penso que outros utilizadores já tentaram utilizar este plugin na versão 2.5 e não deu problemas. Sugiro que experimente. Obrigado.
  • Picture of cesar yaril
    Fri, Jun 20, 2014, 5:18 AM
    I expect see the version of this plugin for moodle 2.6
  • Arun
    Wed, Sep 24, 2014, 7:21 PM
    Hey Bruno,
    For me, rapidly it is showing "The connection with the server was lost!" with my centos server and moodle 2.5. Even i configured supervisord.conf but no luck still getting the same error. Here the question is why disconnection is happening after some time and in the logs it is saying "An error has occurred: Error reading from database". It is quite interesting i don't know, after disconnection happens if i kill port running then it is connecting(I know this is happening because of supervisor). Can you please help with this hell??
  • Picture of Mark Williamson
    Tue, Nov 4, 2014, 3:42 AM
    I installed gchat into my Moodle local instances 2.7 and 2.4, it installed fine. However, when I tried running the run.php file, it said...
    !!!
    Error: Database connection failed

    It is possible that the database is overloaded or otherwise not running properly.

    The site administrator should also check that the database details have been correctly specified in config.php

    !!!

    The moodle instance is working fine, I even tried changing the config to use root user for DB, but got same message. Just wondering if you ever came a cross the error before.
    Php version is PHP 5.5.14 (cli)
    Any advice appreciated.
  • Picture of Jonatas Treptow
    Thu, Nov 13, 2014, 8:46 PM
    Como faço pra instalar em um Windows Server?
  • Picture of Gustavo André
    Wed, Nov 19, 2014, 5:42 PM
    Olá, baixei seu plugin e adorei a ideia dele! Mas uso um tema chamado Essential (https://moodle.org/plugins/view.php?plugin=theme_essential), parece que seu plugin e o tema não são compatíveis... Quando estou logado no tema padrão do Moodle o chat funciona normalmente, mas quando estou usando o Essential o chat não aparece, só aparece uma faixa branca no lugar dele no rodapé do site. O que devo fazer para corrigir o problema?

    Hello , I downloaded your plugin and loved the idea of it ! But I use a theme called Essential ( https://moodle.org/plugins/view.php?plugin=theme_essential ) , it seems that your plugin and theme are not compatible ... When I'm logged in the default theme for Moodle chat works normally, but when I'm using Essential chat does not appear , a white band only appears in his place at the footer of the site . What should I do to fix the problem ?
  • Picture of can meşe
    Fri, Mar 27, 2015, 12:05 AM
    You should make easy of installation. I have problem about connection. Warning messages is : "The connection with the server was lost!" How will we solve?
  • Picture of Andrew C
    Mon, May 11, 2015, 9:55 PM
    Hi Cesar,

    This is working fine in Moodle 2.6 and Windows Server 2008 and 2012.

    However, I'm exploring the working combinations for browsers. So far, on the Mac - I need to use Firefox and the PC, Internet Explorer to pick up all Global Chat users. Otherwise, I get fewer people. I'm going to see if I can pinpoint the best browser versions/configs.

    Bruno - This is a fantastic plugin.

    Thank you for your hard work.
  • Picture of Jonatan martinez
    Wed, Sep 23, 2015, 6:23 AM
    Cuando podremos ver este modulo para moodle 2.8, 2.9 y superiores. Como tambien si es posible inactivar el chat cuando se acceda a un cuestionario.
    Gracias
  • Picture of Oscar Cossio
    Wed, Dec 2, 2015, 12:23 AM
    Alguien sabe como puedo arracanr el archivo run.php, en la terminal de mi servidor al intentar ejcutar el archivo la terminal no lanza ningun resultado, ni como error, ni ocmo nada. Solo se queda haciendo algo. Teno entendido que despues de agregado el bloque, solo es ir al direcotrio de gchat con la terminal y luego con el comando "php run.php" ejecutarlo. Alguien que pueda ayudarme con este tema, se los agradecría.

    Feliz tarde.
  • Picture of Maurício Dal Bem Wrezinski
    Thu, Dec 3, 2015, 9:25 PM
    Olá Bruno.
    Fiz a instalação do plugin, porém quando adiciono ele ao curso acaba aparecendo apenas uma mensagem "The connection with the server was lost!"
    O que pode ser isso? Problema na configuração/instalação talvez?
  • Picture of Elek Teszt
    Mon, Apr 18, 2016, 5:35 PM
    Dear Bruno!
    I installed and completed the required settings during the Moodle 2.8, but unfortunately it does not work.
    In the near future will you update to the Moodle 2.8 the Gchat module?
    Thanks in advance!
  • Picture of flame eater
    Sun, Sep 25, 2016, 7:55 PM
    Hi Bruno, Great effort! However, I also get the Connection With Server Was Lost error as many others on this forum. And I don't see any of your answer to that. Are you still supporting this plugin? If not, you may as well let us know and we do not waste our time trying to get it to work anymore. Thank you for trying to contribute any how.
1 2 3 4
Please login to post comments